typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;
typedef enum {_tavTop, _tavMiddle, _tavBottom} TTextAlignVertical;

typedef struct Screen TScreen;

typedef struct  Button {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          Pen_Width;
  unsigned int  Pen_Color;
  char          Visible;
  char          Active;
  char          Transparent;
  char          *Caption;
  TTextAlign    TextAlign;
  TTextAlignVertical TextAlignVertical;
  const char    *FontName;
  unsigned int  Font_Color;
  char          VerticalText;
  char          Gradient;
  char          Gradient_Orientation;
  unsigned int  Gradient_Start_Color;
  unsigned int  Gradient_End_Color;
  unsigned int  Color;
  char          PressColEnabled;
  unsigned int  Press_Color;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TButton;

typedef struct  Label {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          *Caption;
  const char    *FontName;
  unsigned int  Font_Color;
  char          VerticalText;
  char          Visible;
  char          Active;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TLabel;

typedef struct  Image {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  const char    *Picture_Name;
  char          Visible;
  char          Active;
  char          Picture_Type;
  char          Picture_Ratio;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TImage;

struct Screen {
  unsigned int           Color;
  unsigned int           Width;
  unsigned int           Height;
  unsigned int           ObjectsCount;
  unsigned int           ButtonsCount;
  TButton                * const code *Buttons;
  unsigned int           LabelsCount;
  TLabel                 * const code *Labels;
  unsigned int           ImagesCount;
  TImage                 * const code *Images;
  void          (*OnSwipeLeftPtr)();
  void          (*OnSwipeRightPtr)();
  void          (*OnSwipeUpPtr)();
  void          (*OnSwipeDownPtr)();
  void          (*OnZoomInPtr)();
  void          (*OnZoomOutPtr)();
};

extern   TScreen                Screen_00_MAIN;
extern   TImage               Image_00_00_MAIN;
extern   TButton               Button_00_02_MP3;
extern   TButton               Button_00_03_ACCEL;
extern   TButton               Button_00_09_PREV;
extern   TButton               Button_00_04_PLAY;
extern   TButton               Button_00_08_NEXT;
extern   TButton               Button_00_06_VOL_INC;
extern   TButton               Button_00_07_VOL_DEC;
extern   TButton               Button_00_05_MUTE;
extern   TButton                * const code Screen_00_MAIN_Buttons[8];
extern   TImage                 * const code Screen_00_MAIN_Images[1];

extern   TScreen                Screen_03_MP3;
extern   TImage               Image_00_03_MP3;
extern   TImage                 * const code Screen_03_MP3_Images[1];

extern   TScreen                Screen_04_ACCEL;
extern   TImage               Image_00_04_ACCEL;
extern   TLabel                 Label_00_06_Accel_X_Axis;
extern   TLabel                 Label_00_07_Accel_Y_Axis;
extern   TLabel                 Label_00_08_Accel_Z_Axis;
extern   TLabel                 * const code Screen_04_ACCEL_Labels[3];
extern   TImage                 * const code Screen_04_ACCEL_Images[1];


/////////////////////////
// Events Code Declarations
void Button_00_02_MP3_OnClick();
void Button_00_03_ACCEL_OnClick();
void Button_00_04_PLAY_OnClick();
void Button_00_05_MUTE_OnClick();
void Button_00_06_VOL_INC_OnClick();
void Button_00_07_VOL_DEC_OnClick();
void Button_00_08_NEXT_OnClick();
void Button_00_09_PREV_OnClick();
/////////////////////////

/////////////////////////////////
// Caption variables Declarations
extern char Image_00_00_MAIN_Caption[];
extern char Button_00_02_MP3_Caption[];
extern char Button_00_03_ACCEL_Caption[];
extern char Button_00_09_PREV_Caption[];
extern char Button_00_04_PLAY_Caption[];
extern char Button_00_08_NEXT_Caption[];
extern char Button_00_06_VOL_INC_Caption[];
extern char Button_00_07_VOL_DEC_Caption[];
extern char Button_00_05_MUTE_Caption[];
extern char Image_00_03_MP3_Caption[];
extern char Image_00_04_ACCEL_Caption[];
extern char Label_00_06_Accel_X_Axis_Caption[];
extern char Label_00_07_Accel_Y_Axis_Caption[];
extern char Label_00_08_Accel_Z_Axis_Caption[];
/////////////////////////////////

void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
