#ifndef _MP3_MODULE_H_
#define _MP3_MODULE_H_

#include "system_types.h"
#include "bsp.h"

#if ((_MMB_MODULE_MICROSD == 1) && (_MMB_MODULE_MP3 == 1))

    #include "bsp_microsd_driver.h"
    #include "bsp_mp3_driver.h"

#endif

typedef enum
{
    MP3_STOP,
    MP3_PLAY,

} mp3_player_state_t;

typedef enum
{
    SD_FILE_CLOSED,
    SD_FILE_OPEN,
    
} sd_file_state_t;

typedef struct
{
    uint8_t           sd_file_data[256];
    uint32_t          sd_file_size;
    sd_file_state_t   sd_file_state;
    
} sd_file_t;

typedef struct
{
    SONG[11];

} mp3_playlist_t;

typedef enum
{
    SONG_1,
    SONG_2,
    SONG_3,
    
} mp3_song_number_t;

void mp3_module_state_changed ( void );

void mp3_increase_volume( void );

void mp3_decrease_volume( void );

void mp3_mute_volume( void );

void mp3_next_song( void );

void mp3_prev_song( void );

void mp3_module_init ( module_t ** module );

void mp3_module_task ( void );

#endif