/*
    api_wifi_hanlders.h

-----------------------------------------------------------------------------

  This file is part of mikroSDK.
  
  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

----------------------------------------------------------------------------- */

/**
        \file   api_wifi_hanlders.h

- Version               :   1.0.1 
- Date                  :   May 2019
- Developer             :   MikroE Team

---

    Last version note :

Modified version of mikroSDK library adopted to suit needs in case of mikromedia 
development boards.
*/
/* -------------------------------------------------------------------------- */

#ifndef _API_WIFI_HANDLERS_
#define _API_WIFI_HANDLERS_

#include "simplelink.h"

#if ( _MMB_MODULE_WIFI == 1 )

#ifdef __cplusplus
extern "C"{
#endif

void api_wifi_prerror ( int error_code );

void api_wifi_general_event_handler ( SlDeviceEvent_t * p_device_event );

void api_wifi_wlan_event_handler ( SlWlanEvent_t * p_wlan_event );

void api_wifi_net_app_event_handler ( SlNetAppEvent_t * p_net_app_event );

void api_wifi_socket_event_handler ( SlSockEvent_t * p_socket );

void api_wifi_http_server_callback ( SlHttpServerEvent_t * p_http_event, SlHttpServerResponse_t * p_http_response );

#ifdef __cplusplus
}
#endif
#endif
#endif

/* -------------------------------------------------------------------------- */
/*
    api_wifi_hanlders.h

  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software
   must display the following acknowledgment:
   This product includes software developed by the MikroElektonika.

4. Neither the name of the MikroElektonika nor the
   names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY MIKROELEKTRONIKA ''AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL MIKROELEKTRONIKA BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------- */