/*
    accel_test.c

-----------------------------------------------------------------------------

  This file is part of mikroSDK.
  
  Copyright (c) 2017,  MikroElektronika - http://www.mikroe.com

  All rights reserved.

----------------------------------------------------------------------------- */

/**
        \file   accel_test.c

- Version               :   1.0.0
- Date                  :   May 2019
- Developer             :   Marko Jovanovic

---

    Generated from module test template.
    
*/
/* -------------------------------------------------------------------------- */

#include "test_types.h"
#include "test_console.h"

// Include BSP drivers which will be tested.
//  ...

#include "bsp_accel_driver.h"

#if ( _MMB_MODULE_ACCEL == 1 )

//  Default task delay in ms

#define TASK_DELAY                      500
#define TASK_NAME                       "ACCEL Test"

//  Declare necessary initialization variables.
//  ...

static int16_t  x;
static int16_t  y;
static int16_t  z;

void accel_test ( test_param_t * tp )
{
    switch ( tp->step ) 
    {
        case TEST_PREINIT :
        {
            tp->step = TEST_INIT;
            tp->delay = TASK_DELAY;
            strcpy( tp->name, TASK_NAME );

            break;
        }
        case TEST_INIT :
        {
            //  Initialize BSP module.
            //  ...

            bsp_accel_init( );

            //  Perform all necessary post initialization and configuration actions.
            //  ...

            //  ...
            //  End of module initialization.

            tp->step = TEST_TASK;

            break;
        }
        case TEST_TASK :
        {
            /*
                Test Loop.
            */

            bsp_accel_read_measurement( &x, &y, &z );

            test_console_output( "X", ( void * ) &x, SIGNED_WORD_FORMAT, " / " );
            test_console_output( "Y", ( void * ) &y, SIGNED_WORD_FORMAT, " / " );
            test_console_output( "Z", ( void * ) &z, SIGNED_WORD_FORMAT, "\r\n" );
            test_console_write_line( NULL );

            break;
        }
    }
}

#endif

/* -------------------------------------------------------------------------- */
/*
    accel_test.c

  Copyright (c) 2017,  MikroElektronika - http://www.mikroe.com

  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software
   must display the following acknowledgment:
   This product includes software developed by the  MikroElektronika.

4. Neither the name of the  MikroElektronika nor the
   names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY MIKROELEKTRONIKA ''AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL MIKROELEKTRONIKA BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------- */